Option Explicit

'Windows Type Declarations


Type POINTAPI
    X As Integer
    Y As Integer
End Type


Type RECT
  left As Integer
  top As Integer
  right As Integer
  bottom As Integer
End Type

Type SIZE
    cx As Integer
    cy As Integer
End Type

'Program Globals

 Global file As String
 Global GhMF As Integer
 Global boxscale

'Windows Globals

 Global Const GMEM_MOVEABLE = &H2

'Windows 3.1 API Function Declarations

 Declare Function SetMapMode Lib "GDI" (ByVal hdc As Integer, ByVal nMapMode As Integer) As Integer
 Declare Function setviewportExt Lib "GDI" (ByVal hdc As Integer, ByVal X As Integer, ByVal Y As Integer) As Long
 Declare Function setviewportorg Lib "GDI" (ByVal hdc As Integer, ByVal X As Integer, ByVal Y As Integer) As Long
 Declare Function SaveDC Lib "GDI" (ByVal hdc As Integer) As Integer
 Declare Function RestoreDC Lib "GDI" (ByVal hdc As Integer, ByVal nSavedDC As Integer) As Integer
 Declare Function playmetafile Lib "GDI" (ByVal hdc As Integer, ByVal hMF As Integer) As Integer
 Declare Function SetMetafileBits Lib "GDI" (ByVal hMem As Integer) As Integer
 Declare Function deletemetafile Lib "GDI" (ByVal hMF As Integer) As Integer
 Declare Function hread Lib "Kernel" Alias "_hread" (ByVal hFile As Integer, ByVal hBuffer As Long, ByVal cbBuffer As Long) As Long
 Declare Function llseek Lib "Kernel" Alias "_llseek" (ByVal hFile As Integer, ByVal lOffset As Long, ByVal iOrigin As Integer) As Long
 Declare Function GlobalAlloc Lib "Kernel" (ByVal wFlags As Integer, ByVal dwBytes As Long) As Integer
 Declare Function GlobalLock Lib "Kernel" (ByVal hMem As Integer) As Long
 Declare Function GlobalUnlock Lib "Kernel" (ByVal hMem As Integer) As Integer
 Declare Function GlobalFree Lib "Kernel" (ByVal hMem As Integer) As Integer
 Declare Sub GetWindowRect Lib "User" (ByVal hWnd As Integer, lpRect As RECT)
 Declare Sub ClipCursor Lib "User" (lpRect As Any)
 Declare Sub ClipCursorClear Lib "User" Alias "ClipCursor" (ByVal zero As Long)
 Declare Sub clienttoscreen Lib "User" (ByVal hWnd As Integer, lpPoint As POINTAPI)
 Declare Sub ScreenToClient Lib "User" (ByVal hWnd As Integer, lpPoint As POINTAPI)
 Declare Sub MapWindowPoints Lib "User" (ByVal hwndFrom As Integer, ByVal hwndTo As Integer, lppt As POINTAPI, ByVal cPoints As Integer)
 Declare Function createcompatibledc Lib "GDI" (ByVal hdc As Integer) As Integer
 Declare Function closemetafile Lib "GDI" (ByVal hMF As Integer) As Integer
 Declare Function createmetafilebynum Lib "GDI" Alias "createmetafile" (ByVal lpString As Long) As Integer
 Declare Function createmetafile Lib "GDI" (ByVal lpString As String) As Integer
 Declare Function setviewportExtEx Lib "GDI" (ByVal hdc As Integer, ByVal nX As Integer, ByVal nY As Integer, lpSize As size) As Integer
 Declare Function SetWindowExt Lib "GDI" (ByVal hdc As Integer, ByVal X As Integer, ByVal Y As Integer) As Long

				    
'you will not find this in the Windows API
'Type declarations

Type MetaFileHeader
  Key As Long
  hMF As Integer
  bbox As RECT
  inch As Integer
  reserved As Long
  checksum As Integer
End Type

